## 第一课

> 第一课时操作引导文档。

### 一、游戏资源下载

> 1、访问：[GitHub](https://www.github.com)

> 2、下载安装Git：[Git](https://git-scm.com)

````shell
# 生成GitHub SSH KEY
ssh-keygen -t rsa -C "你的GitHub登录账号"
````

```shell
git config -global user.name "你的GitHub用户名"
git config -global user.email "你的GitHub登录账号"
```
```shell
# 下载游戏源码
git clone --depth=1 git@github.com:makeryangcom/Engine2D.git
```

### 二、虚拟机的安装和配置

> 1、CentOS系统镜像下载地址：[CentOS-8.5.2111-x86_64-dvd1.iso](https://mirrors.aliyun.com/centos/8/isos/x86_64/CentOS-8.5.2111-x86_64-dvd1.iso)

> 2、切换到root用户，密码为`root`

```shell
su
```

> 3、修改SSH配置，防止后续SSH远程登录时因连接超时自动断开

```shell
vim /etc/ssh/sshd_config
```

> 4、获取虚拟机服务器内网IP地址

```shell
ifconfig
```

> 5、在本地电脑的命令行工具中通过SSH远程登录到虚拟机服务器

```shell
ssh root@服务器内网IP地址
```

> 6、更新软件源

```shell
sed -i 's/mirrorlist/#mirrorlist/g' /etc/yum.repos.d/CentOS-*
sed -i 's|#baseurl=http://mirror.centos.org|baseurl=http://vault.centos.org|g' /etc/yum.repos.d/CentOS-*
# 设置阿里云软件源
wget -O /etc/yum.repos.d/CentOS-Base.repo https://mirrors.aliyun.com/repo/Centos-8.repo
# 清理缓存
yum clean all
yum makecache
```

> 7、切换到root用户

```shell
yum update -y
```

> 8、安装常用的软件和组件

```shell
yum install -y vim curl git openssl openssl-devel
```

> 9、安装Nginx

```shell
yum install -y nginx
```

``` bash
# 启动Nginx服务
sudo systemctl start nginx.service
```

``` bash
# 设置Nginx服务开机启动
sudo systemctl enable nginx.service
```

``` bash
# 常用维护命令-重启Nginx服务
sudo systemctl restart nginx.service
# 常用维护命令-停止Nginx服务
sudo systemctl stop nginx.service
# 常用维护命令-启动Nginx服务
sudo systemctl start nginx.service
```